'\" t
.\"     Title: ALTER TEXT SEARCH TEMPLATE
.\"    Author: The PostgreSQL Global Development Group
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 2020
.\"    Manual: PostgreSQL 9.4.26 Documentation
.\"    Source: PostgreSQL 9.4.26
.\"  Language: English
.\"
.TH "ALTER TEXT SEARCH TEMPLATE" "7" "2020" "PostgreSQL 9.4.26" "PostgreSQL 9.4.26 Documentation"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
ALTER_TEXT_SEARCH_TEMPLATE \- change the definition of a text search template
.SH "SYNOPSIS"
.sp
.nf
ALTER TEXT SEARCH TEMPLATE \fIname\fR RENAME TO \fInew_name\fR
ALTER TEXT SEARCH TEMPLATE \fIname\fR SET SCHEMA \fInew_schema\fR
.fi
.SH "DESCRIPTION"
.PP
\fBALTER TEXT SEARCH TEMPLATE\fR
changes the definition of a text search template\&. Currently, the only supported functionality is to change the template\*(Aqs name\&.
.PP
You must be a superuser to use
\fBALTER TEXT SEARCH TEMPLATE\fR\&.
.SH "PARAMETERS"
.PP
\fIname\fR
.RS 4
The name (optionally schema\-qualified) of an existing text search template\&.
.RE
.PP
\fInew_name\fR
.RS 4
The new name of the text search template\&.
.RE
.PP
\fInew_schema\fR
.RS 4
The new schema for the text search template\&.
.RE
.SH "COMPATIBILITY"
.PP
There is no
\fBALTER TEXT SEARCH TEMPLATE\fR
statement in the SQL standard\&.
.SH "SEE ALSO"
CREATE TEXT SEARCH TEMPLATE (\fBCREATE_TEXT_SEARCH_TEMPLATE\fR(7)), DROP TEXT SEARCH TEMPLATE (\fBDROP_TEXT_SEARCH_TEMPLATE\fR(7))
